%global __requires_exclude /usr/bin/ksh|/bin/pdksh|/usr/bin/zsh|/usr/bin/fish|/bin/csh|/bin/tcsh|tcsh|mksh

Name:           parallel
Version:        20241022
Release:        %mkrel 1
Summary:        A shell tool for executing jobs in parallel
License:        GPLv3
Group:          File tools
URL:            https://www.gnu.org/software/parallel/
Source0:        https://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2
Source1:        https://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2.sig
BuildArch:      noarch

%description
GNU parallel is a shell tool for executing jobs in parallel locally
or using remote machines. A job is typically a single command or a small
script that has to be run for each of the lines in the input. The typical
input is a list of files, a list of hosts, a list of users, a list of URLs,
or a list of tables.

%prep
%autosetup -p1

%build
%configure
%__make

%install
%make_install

%files
%doc README NEWS
%doc %{_docdir}/%{name}/*
%{_bindir}/env_parallel
%{_bindir}/env_parallel.ash
%{_bindir}/env_parallel.bash
%{_bindir}/env_parallel.csh
%{_bindir}/env_parallel.dash
%{_bindir}/env_parallel.fish
%{_bindir}/env_parallel.ksh
%{_bindir}/env_parallel.mksh
%{_bindir}/env_parallel.pdksh
%{_bindir}/env_parallel.sh
%{_bindir}/env_parallel.tcsh
%{_bindir}/env_parallel.zsh
%{_bindir}/parallel
%{_bindir}/parcat
%{_bindir}/parset
%{_bindir}/parsort
%{_bindir}/sem
%{_bindir}/sql
%{_bindir}/niceload
%{_mandir}/man1/env_parallel.1.*
%{_mandir}/man1/parallel.1.*
%{_mandir}/man1/parcat.1.*
%{_mandir}/man1/parset.1.*
%{_mandir}/man1/parsort.1.*
%{_mandir}/man1/sem.1.*
%{_mandir}/man1/sql.1.*
%{_mandir}/man1/niceload.1.*
%{_mandir}/man7/parallel_alternatives.7.*
%{_mandir}/man7/parallel_book.7.*
%{_mandir}/man7/parallel_design.7.*
%{_mandir}/man7/parallel_examples.7.*
%{_mandir}/man7/parallel_tutorial.7.*
%{_datadir}/bash-completion/completions/parallel
%{_datadir}/zsh/site-functions/_parallel


%changelog
* Wed Oct 23 2024 daviddavid <daviddavid> 20241022-1.mga10
+ Revision: 2110480
- new version: 20241022

* Fri Sep 27 2024 daviddavid <daviddavid> 20240922-1.mga10
+ Revision: 2101476
- new version: 20240922

* Sat Aug 31 2024 mrambo3501 <mrambo3501> 20240722-1.mga10
+ Revision: 2092430
- version 20240722

* Tue Mar 05 2024 daviddavid <daviddavid> 20240222-1.mga10
+ Revision: 2047597
- new version: 20240222

* Sun Oct 29 2023 daviddavid <daviddavid> 20231022-1.mga10
+ Revision: 2002660
- new version: 20231022

* Sun Feb 19 2023 daviddavid <daviddavid> 20230122-1.mga9
+ Revision: 1944130
- new version: 20230122

* Fri Dec 09 2022 ghibo <ghibo> 20221122-1.mga9
+ Revision: 1919825
- Update to release 20221122

* Tue Oct 25 2022 ghibo <ghibo> 20221022-1.mga9
+ Revision: 1899293
- Update to release 20221022

* Fri Oct 07 2022 ghibo <ghibo> 20220922-1.mga9
+ Revision: 1895350
- Update to release 20220922

* Wed May 25 2022 ghibo <ghibo> 20220522-1.mga9
+ Revision: 1860115
- Update to release 20220522

* Mon Mar 21 2022 umeabot <umeabot> 20211222-2.mga9
+ Revision: 1816056
- Mageia 9 Mass Rebuild

* Tue Feb 01 2022 mrambo3501 <mrambo3501> 20211222-1.mga9
+ Revision: 1770897
- version 20211222

* Sun Apr 18 2021 daviddavid <daviddavid> 20201222-1.mga9
+ Revision: 1716335
- new version: 20201222

* Tue Nov 24 2020 shlomif <shlomif> 20201122-1.mga8
+ Revision: 1648972
- New version 20201122
- New version 20201022

* Thu Sep 24 2020 shlomif <shlomif> 20200922-1.mga8
+ Revision: 1629716
- New version 20200922

* Sun Aug 23 2020 shlomif <shlomif> 20200822-1.mga8
+ Revision: 1618065
- New version 20200822

* Thu Jul 23 2020 shlomif <shlomif> 20200722-1.mga8
+ Revision: 1608572
- New version 20200722

* Tue Jun 23 2020 shlomif <shlomif> 20200622-1.mga8
+ Revision: 1598568
- New version 20200622

* Sun May 24 2020 shlomif <shlomif> 20200522-1.mga8
+ Revision: 1587176
- New version 20200522

* Thu Apr 23 2020 shlomif <shlomif> 20200422-1.mga8
+ Revision: 1571208
- New version 20200422

* Sun Mar 22 2020 shlomif <shlomif> 20200322-1.mga8
+ Revision: 1558868
- New version 20200322

* Sun Feb 23 2020 shlomif <shlomif> 20200222-1.mga8
+ Revision: 1549591
- New version 20200222

* Wed Feb 19 2020 umeabot <umeabot> 20200122-2.mga8
+ Revision: 1543736
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 shlomif <shlomif> 20200122-1.mga8
+ Revision: 1482200
- New version 20200122
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 23 2019 shlomif <shlomif> 20191222-1.mga8
+ Revision: 1469637
- New version 20191222

* Mon Dec 09 2019 shlomif <shlomif> 20191122-1.mga8
+ Revision: 1465435
- New version

* Fri Aug 23 2019 shlomif <shlomif> 20190822-1.mga8
+ Revision: 1431382
- New version

* Tue Jul 23 2019 shlomif <shlomif> 20190722-1.mga8
+ Revision: 1423509
- New version

* Sun Jul 14 2019 shlomif <shlomif> 20190622-1.mga8
+ Revision: 1421159
- New version

* Mon Apr 22 2019 shlomif <shlomif> 20190422-1.mga7
+ Revision: 1394670
- New version

* Fri Mar 22 2019 shlomif <shlomif> 20190322-1.mga7
+ Revision: 1379553
- New version

* Sat Feb 23 2019 shlomif <shlomif> 20190222-1.mga7
+ Revision: 1369466
- New version

* Mon Jan 21 2019 shlomif <shlomif> 20190122-1.mga7
+ Revision: 1358674
- New version

* Sat Dec 22 2018 shlomif <shlomif> 20181222-1.mga7
+ Revision: 1344545
- New version

* Wed Dec 12 2018 shlomif <shlomif> 20181122-1.mga7
+ Revision: 1340607
- New version

* Thu Sep 20 2018 umeabot <umeabot> 20180622-2.mga7
+ Revision: 1281502
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 20180622-1.mga7
+ Revision: 1238805
- New version

* Thu May 24 2018 shlomif <shlomif> 20180522-1.mga7
+ Revision: 1232008
- New version

* Mon Apr 23 2018 shlomif <shlomif> 20180422-1.mga7
+ Revision: 1221429
- New version

* Fri Mar 23 2018 shlomif <shlomif> 20180322-1.mga7
+ Revision: 1211461
- New version

* Fri Feb 23 2018 shlomif <shlomif> 20180222-1.mga7
+ Revision: 1204362
- New version

* Mon Jan 22 2018 shlomif <shlomif> 20180122-1.mga7
+ Revision: 1196373
- New version

* Sat Dec 23 2017 shlomif <shlomif> 20171222-1.mga7
+ Revision: 1184308
- New version

* Fri Dec 08 2017 shlomif <shlomif> 20171122-1.mga7
+ Revision: 1181712
- New version

* Mon Oct 23 2017 shlomif <shlomif> 20171022-1.mga7
+ Revision: 1173154
- New version 20171012

* Sat Sep 23 2017 shlomif <shlomif> 20170922-1.mga7
+ Revision: 1158114
- New version 20170922

* Tue Aug 22 2017 shlomif <shlomif> 20170822-1.mga7
+ Revision: 1142883
- New version

* Sat Jul 22 2017 shlomif <shlomif> 20170722-1.mga7
+ Revision: 1128049
- New version
- New upstream version (and a "stable" one).

* Wed Mar 22 2017 shlomif <shlomif> 20170322-1.mga6
+ Revision: 1094278
- New version 201703

* Wed Feb 22 2017 shlomif <shlomif> 20170222-1.mga6
+ Revision: 1087331
- New version 20170222

* Sun Oct 23 2016 shlomif <shlomif> 20161022-1.mga6
+ Revision: 1063280
- New version 20161022.

* Mon May 23 2016 shlomif <shlomif> 20160522-3.mga6
+ Revision: 1017969
- Fix deps better - the shells are optional

* Sun May 22 2016 tv <tv> 20160522-2.mga6
+ Revision: 1017577
- fix deps

* Sun May 22 2016 shlomif <shlomif> 20160522-1.mga6
+ Revision: 1017531
- New version

* Wed Mar 23 2016 shlomif <shlomif> 20160322-1.mga6
+ Revision: 994300
- New version 20160322

* Tue Feb 23 2016 shlomif <shlomif> 20160222-1.mga6
+ Revision: 977220
- New version 20160222

* Sat Jan 23 2016 shlomif <shlomif> 20160122-1.mga6
+ Revision: 926665
- New version 20160122

* Tue Dec 22 2015 shlomif <shlomif> 20151222-1.mga6
+ Revision: 913566
- New version 20151222

* Thu Oct 22 2015 shlomif <shlomif> 20151022-1.mga6
+ Revision: 894165
- New version 20151022.

* Mon Oct 19 2015 danf <danf> 20150522-2.mga6
+ Revision: 892807
- Changed package to noarch
- Fixed doc packaging for new rpm

* Fri May 22 2015 shlomif <shlomif> 20150522-1.mga5
+ Revision: 822564
- New version 20150522. Fixes security issues and no new functionality.
- http://lists.gnu.org/archive/html/parallel/2015-05/msg00024.html

* Thu Apr 23 2015 shlomif <shlomif> 20150422-1.mga5
+ Revision: 820571
- New version 20150422 w security fix

* Wed Oct 15 2014 umeabot <umeabot> 20140122-3.mga5
+ Revision: 745625
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20140122-2.mga5
+ Revision: 683333
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 20140122-1.mga5
+ Revision: 580772
- New version 20140122

* Sat Oct 19 2013 umeabot <umeabot> 20130722-2.mga4
+ Revision: 530920
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 fwang <fwang> 20130722-1.mga4
+ Revision: 461012
- fix pod format
- new version 20130722

* Thu May 23 2013 kharec <kharec> 20130522-1.mga4
+ Revision: 425166
- update to 20130522

* Sun Jan 13 2013 umeabot <umeabot> 20120822-2.mga3
+ Revision: 362390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 kharec <kharec> 20120822-1.mga3
+ Revision: 283912
- August version of parallel

* Sat Jun 23 2012 kharec <kharec> 20120622-2.mga3
+ Revision: 262767
- Remove useless requires

* Sat Jun 23 2012 kharec <kharec> 20120622-1.mga3
+ Revision: 262753
- Add requires
- new version (with new options and bugfix)

* Mon May 28 2012 kharec <kharec> 20120522-1.mga3
+ Revision: 247948
- new version 20120522

* Thu Feb 23 2012 kharec <kharec> 20120222-1.mga2
+ Revision: 212445
- new version 20120222

* Tue Feb 21 2012 kharec <kharec> 20120122-1.mga2
+ Revision: 211608
- New version 20120122

* Wed Nov 23 2011 kharec <kharec> 20111122-1.mga2
+ Revision: 171180
- Many new features with this new release 20111122
--Cette ligne, et les suivantes ci-dessous, seront ignorées--
  M    SPECS/parallel.spec

* Wed Nov 02 2011 kharec <kharec> 20111022-1.mga2
+ Revision: 161494
- new version 20111022
- new version 20110822
- new version

* Wed Jun 22 2011 kharec <kharec> 20110622-1.mga2
+ Revision: 111960
- new version 20110622 (a bugfix release which bring a lot of new functionnality too)

* Sun Jun 19 2011 kharec <kharec> 20110522-1.mga2
+ Revision: 109656
- new version 20110522
- clean top of spec

* Fri Mar 25 2011 kharec <kharec> 20110322-1.mga1
+ Revision: 77513
- new version 20110322
+ ennael <ennael>
- imported package parallel


* Sat Jan 22 2011 Sandro Cazzaniga <kharec@mandriva.org> 20101222-1mdv2011.0
+ Revision: 632217
- new version 20101222

* Sun Dec 05 2010 Sandro Cazzaniga <kharec@mandriva.org> 20101202-1mdv2011.0
+ Revision: 610659
- update to 20101202

* Sat Nov 27 2010 Sandro Cazzaniga <kharec@mandriva.org> 20101122-1mdv2011.0
+ Revision: 601751
- update to new version
- update file list

* Sat Oct 09 2010 Sandro Cazzaniga <kharec@mandriva.org> 20100922-1mdv2011.0
+ Revision: 584331
- new version

* Wed Sep 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 20100906-1mdv2011.0
+ Revision: 576811
- update to 20100906
- update file list

* Mon Aug 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 20100822-1mdv2011.0
+ Revision: 572129
- don't use %%make anymore
- new version 20100822
- update file list

* Thu Jul 29 2010 Sandro Cazzaniga <kharec@mandriva.org> 20100722-3mdv2011.0
+ Revision: 563194
- fix summary with "shell tool", recommended by upstream.
- fix summary (thanks Samuel Verschelde)

* Sat Jul 24 2010 Sandro Cazzaniga <kharec@mandriva.org> 20100722-1mdv2011.0
+ Revision: 557949
- fix description (it's a perl tool!)
- update to 20100722

  + Jani Välimaa <wally@mandriva.org>
    - split one-liner description to a multiple lines
    - fix one file appearing twice in file list

* Fri Jul 16 2010 Sandro Cazzaniga <kharec@mandriva.org> 20100620-2mdv2011.0
+ Revision: 554151
- Add Require

* Fri Jul 16 2010 Sandro Cazzaniga <kharec@mandriva.org> 20100620-1mdv2011.0
+ Revision: 554150
- import parallel


